%define with_maven 1
Name:          sun-xmlstreambuffer
Version:       1.4
Release:       %mkrel 1
Summary:       XML Stream Buffer
Group:         Development/Java
License:       CDDL or GPLv2 with exception
Url:           http://java.net/projects/xmlstreambuffer/
# svn export https://svn.java.net/svn/xmlstreambuffer~svn/tags/streambuffer-1.4 sun-xmlstreambuffer-1.4
# rm -rf sun-xmlstreambuffer-1.4/lib/*
# lib/jsr173_1.0_src.zip
# lib/stax-ex-src.zip
# lib/woodstox.jar
# lib/sjsxp.jar
# lib/junit.jar
# lib/stax-ex.jar
# lib/package-rename-task.jar
# lib/activation.jar
# lib/woodstox-src.zip
# lib/jsr173_api.jar
# lib/sjsxp-src.zip
# tar czf sun-xmlstreambuffer-1.4-src-svn.tar.gz sun-xmlstreambuffer-1.4
Source0:       sun-xmlstreambuffer-1.4-src-svn.tar.gz
Patch0:        sun-xmlstreambuffer-0.7-build-impl_xml.patch

Patch1:        sun-xmlstreambuffer-1.4-pom_xml.patch

BuildRequires: java-devel
BuildRequires: jvnet-parent
BuildRequires: jpackage-utils

%if %with_maven
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-surefire-plugin
%else
BuildRequires: ant
BuildRequires: ant-junit
%endif

BuildRequires: bea-stax-api
BuildRequires: stax-ex
BuildRequires: forge-parent

# test deps
BuildRequires: junit
BuildRequires: wstx

Requires:      bea-stax-api
Requires:      stax-ex

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
A stream buffer is a stream-based representation of an XML
infoset in Java. Stream buffers are designed to: provide
very efficient stream-based memory representations of XML
infosets; and be created and processed using any Java-based
XML API.
Conceptually a stream buffer is similar to the representation
used in the Xerces deferred DOM implementation, with the crucial
difference that a stream buffer does not store hierarchal
information like parent and sibling information. The deferred
DOM implementation reduces memory usage when large XML documents
are parsed but only a subset of the document needs to be processed.
(Note that using deferred DOM will be more expensive than
non-deferred DOM in terms of memory and processing if all
the document is traversed.)
Stream buffers may be used as an efficient alternative to DOM where:
* most or all of an XML infoset will eventually get traversed; and/or
* targeted access to certain parts of an XML infoset are required
 and need to be efficiently processed using stream-based APIs like
 SAX or StAX.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
XML Stream Buffer.

This package contains javadoc for %{name}.

%prep
%setup -q -n sun-xmlstreambuffer-1.4
%patch0 -p0
%patch1 -p0
find -name '*.jar' -exec rm -f '{}' \;
find -name '*.zip' -exec rm -f '{}' \;

%if !%with_maven
  pushd lib
    ln -sf $(build-classpath bea-stax-api) jsr173_api.jar
    ln -sf $(build-classpath stax-ex) .
    ln -sf $(build-classpath junit) .
  popd
%endif

%build

%if %with_maven
  mvn-rpmbuild install javadoc:aggregate
%else
  export CLASSPATH=
  export OPT_JAR_LIST="junit ant/ant-junit"
  %ant
%endif

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
%if %with_maven
  install -pm 644 target/streambuffer-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
%else
  install -pm 644 dist/streambuffer.jar %{buildroot}%{_javadir}/%{name}.jar
%endif

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
%if %with_maven
  cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}
%else
  cp -pr dist/javadoc/* %{buildroot}%{_javadocdir}/%{name}
%endif

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%pre javadoc
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Tue Mar 06 2012 gil <gil> 1.4-1.mga2
+ Revision: 220249
- update to 1.4

* Thu Jan 12 2012 gil <gil> 0.7-2.mga2
+ Revision: 195233
- build fix
  removed wstx
- build fix
  removed geronimo-jaf-1_1-api activation 1.1 is part of any 1.5 compatible JVM
- imported package sun-xmlstreambuffer

  + dmorgan <dmorgan>
    - Clean spec file
    - Review spec file
     - Remove unused macros


* Sun Jul 03 2011 gil <gil> 0.7-0.%%mkrel
- initial rpm